Runtime

## org.eclipse.gmf.runtime.common.ui.resources
Class FileObserverManager

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.resources.FileObserverManager

public class FileObserverManager
extends java.lang.Object

Manage the list of file observers for the file change manager.

Constructor Summary
`FileObserverManager()`

Method Summary
`protected void` `add(IFileObserver fileObserver)` Add a file observer with no filter.
`protected void` `add(IFileObserver fileObserver, IContentType[] contentTypeFilter)` Add a file observer with a content type filter.
`protected void` `add(IFileObserver fileObserver, IFile fileFilter)` Add a file observer with a file filter.
`protected void` `add(IFileObserver fileObserver, IFolder folderFilter)` Add a file observer with a folder filter.
`protected void` `add(IFileObserver fileObserver, java.lang.String[] extensionFilter)` Add a file observer with a file extension filter.
`protected void` `notify(org.eclipse.gmf.runtime.common.ui.internal.resources.FileChangeEvent event)` Notify file observers of a file change event.
`protected void` `notify(org.eclipse.gmf.runtime.common.ui.internal.resources.MarkerChangeEvent event)` Notify file observers of a marker change event.
`protected void` `remove(IFileObserver fileObserver)` Remove a file observer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileObserverManager

    public FileObserverManager()

Method Detail

### add

    protected void add(IFileObserver fileObserver)

  Add a file observer with no filter.

  Parameters:
    `fileObserver` - the file observer class implementing the IFileObserver interface.

### add

    protected void add(IFileObserver fileObserver,
                       IFile fileFilter)

  Add a file observer with a file filter.

  Parameters:
    `fileObserver` - the file observer class implementing the IFileObserver interface.
    `fileFilter` - the file filter.

### add

    protected void add(IFileObserver fileObserver,
                       IContentType[] contentTypeFilter)

  Add a file observer with a content type filter.

  Parameters:
    `fileObserver` - the file observer class implementing the IFileObserver interface.
    `contentTypeFilter` - the content type array filter.

### add

    protected void add(IFileObserver fileObserver,
                       IFolder folderFilter)

  Add a file observer with a folder filter.

  Parameters:
    `fileObserver` - the file observer class implementing the IFileObserver interface.
    `folderFilter` - the folder filter.

### add

    protected void add(IFileObserver fileObserver,
                       java.lang.String[] extensionFilter)

  Add a file observer with a file extension filter.

  Parameters:
    `fileObserver` - the file observer class implementing the IFileObserver interface.
    `extensionFilter` - the file extension array filter.

### remove

    protected void remove(IFileObserver fileObserver)

  Remove a file observer.

  Parameters:
    `fileObserver` - the file observer class implementing the IFileObserver interface.

### notify

    protected void notify(org.eclipse.gmf.runtime.common.ui.internal.resources.FileChangeEvent event)

  Notify file observers of a file change event.

  Parameters:
    `event` - the file change event.

### notify

    protected void notify(org.eclipse.gmf.runtime.common.ui.internal.resources.MarkerChangeEvent event)

  Notify file observers of a marker change event.

  Parameters:
    `event` - the marker change event.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.